1. Heroes
MarvelRivalsAPI.com
  • Introduction
  • Get Started
    • Authentication
    • Rate Limits
    • Errors
      • Status Codes
    • SDKs & Extentions
      • Community Libraries
  • Endpoints
    • Achievements
      • List achievements
      • Search achievement
    • Patch Notes
      • List balances
      • Search balance
      • List dev diaries
      • Search dev diary
      • List patch notes
      • Search patch note
      • List game versions
    • Battle Pass
      • Battlepass
    • Heroes
      • List Heroes
        GET
      • Search hero
        GET
      • Hero stats
        GET
      • Hero leaderboard
        GET
      • List costumes
        GET
      • Search hero costume
        GET
    • Items
      • List items
      • Search item
    • Maps
      • List maps
      • Search map
    • Player Match History
      • Search match
      • Player match history
      • Player match history v2
    • Player Stats
      • Search player
      • Player stats
      • Player stats v2
      • Update player
      • Player Leaderboard
    • Seasons
      • List seasons
      • Search season
  • Community
    • Discord Bots
  1. Heroes

Search hero

GET
/api/v1/heroes/hero/{query}
HeroesFreePremium
Maintainer:Alastor
This endpoint allows you to fetch detailed information about a hero from the MarvelRivalsAPI. You can either provide the hero's name or ID to retrieve their stats, abilities, and other relevant details.

Request

Path Params

Header Params

Responses

🟢200OK
application/json
Successful response with hero details
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠404Record Not Found
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://marvelrivalsapi.com/api/v1/heroes/hero/' \
--header 'x-api-key;'
Response Response Example
{
    "id": "string",
    "name": "string",
    "real_name": "string",
    "imageUrl": "string",
    "role": "string",
    "attack_type": "string",
    "team": [
        "string"
    ],
    "difficulty": "string",
    "bio": "string",
    "lore": "string",
    "transformations": [
        {
            "id": "string",
            "name": "string",
            "icon": "string",
            "health": "string",
            "movement_speed": "string"
        }
    ],
    "costumes": [
        {
            "id": "string",
            "name": "string",
            "icon": "string",
            "quality": "string",
            "description": "string",
            "appearance": "string"
        }
    ],
    "abilities": [
        {
            "id": 0,
            "icon": "string",
            "name": "string",
            "type": "string",
            "isCollab": true,
            "description": "string",
            "additional_fields": {
                "Key": "string",
                "Ammo": "string",
                "Casting": "string",
                "Fire Rate": "string",
                "Critical Hit": "string",
                "Damage Falloff": "string",
                "Projectile Speed": "string",
                "Spell Field Range": "string",
                "Spell Field Damage": "string",
                "Cooldown": "string",
                "Jump Height": "string",
                "Maximum Duration": "string",
                "Damage": "string",
                "Imprison Duration": "string",
                "Maximum Charge Time": "string",
                "Range": "string",
                "Duration": "string",
                "Energy Cost": "string",
                "Special Mechanic": "string",
                "Squirrel Horde Health": "string",
                "Squirrel Horde Movement Speed": "string",
                "Special Effect": "string",
                "Explosion Range": "string",
                "Projectile Radius": "string"
            },
            "transformation_id": "string"
        }
    ],
    "badges": {
        "gold": "string",
        "silver": "string"
    },
    "ko": {
        "prompt_1": "string",
        "prompt_2": "string"
    },
    "story_card": "string",
    "hero_card": "string",
    "lore_card": "string"
}
Modified at 2026-05-20 08:01:42
Previous
List Heroes
Next
Hero stats
Built with